final class PickupVehicle extends Vehicle{
    private final int horsePowers;

    public PickupVehicle(Engine engine, int horsePowers) {
        super("pick-car", engine);
        this.horsePowers = horsePowers;
    }

    @Override
    void drive() {
        System.out.println("PickupVehicle, uruchamianie silnika");
        startEngine();
        System.out.println("PickupVehicle, silnik uruchomiony, moc:" + horsePowers);
    }

    @Override
    void stop() {
        System.out.println("PickupVehicle, wyłączanie silnika");
        stopEngine();
        System.out.println("PickupVehicle, silnik wyłączony");
    }
}
